| abiview

## Function

Reads ABI file and display the trace

## Description

abiview reads in an ABI sequence trace file and graphically displays the results.

The data for each nucleotide is plotted and the assigned nucleotide (G, A, T, C or N) in the ABI file is overlayed on the graphs.

It also writes out the sequence to an output sequence file.

## Usage

Here is a sample session with abiview

    % abiview -graph cps
    Reads ABI file and display the trace
    ABI sequencing trace file: abiview.abi
    nucleotide output sequence [abiview.fasta]:

    Created abiview.ps

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-infile]            infile     ABI sequencing trace file
      [-outseq]            seqout     [.] Nucleotide sequence
                                      filename and optional format (output USA)
       -graph              xygraph    [$EMBOSS_GRAPHICS value, or x11] Graph type
                                      (ps, hpgl, hp7470, hp7580, meta, cps, x11,
                                      tekt, tek, none, data, xterm, png, gif)

       Additional (Optional) qualifiers:
       -startbase          integer    [0] First base to report or display (Integer
                                      0 or more)
       -endbase            integer    [0] Last sequence base to report or display.
                                      If the default is set to zero then the
                                      value of this is taken as the maximum number
                                      of bases. (Any integer value)
       -yticks             boolean    [N] Display y-axis ticks
       -[no]sequence       boolean    [Y] Display the sequence on the graph
       -window             integer    [40] Sequence display window size (Any
                                      integer value)
       -bases              string     [GATC] Base graphs to be displayed (Any
                                      string is accepted, matching regular
                                      expression /[GATC]+/)

       Advanced (Unprompted) qualifiers:
       -separate           boolean    [N] Separate the trace graphs for the 4
                                      bases

       Associated qualifiers:

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       "-graph" associated qualifiers
       -gprompt            boolean    Graph prompting
       -gdesc              string     Graph description
       -gtitle             string     Graph title
       -gsubtitle          string     Graph subtitle
       -gxtitle            string     Graph x axis title
       -gytitle            string     Graph y axis title
       -goutfile           string     Output file for non interactive displays
       -gdirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-infile] (Parameter 1) | ABI sequencing trace file | Input file | Required
[-outseq] (Parameter 2) | Nucleotide sequence filename and optional format (output USA) | Writeable sequence | <*>.format
-graph | Graph type | EMBOSS has a list of known devices, including ps, hpgl, hp7470, hp7580, meta, cps, x11, tekt, tek, none, data, xterm, png, gif | EMBOSS_GRAPHICS value, or x11
Additional (Optional) qualifiers | Allowed values | Default
-startbase | First base to report or display | Integer 0 or more | 0
-endbase | Last sequence base to report or display. If the default is set to zero then the value of this is taken as the maximum number of bases. | Any integer value | 0
-yticks | Display y-axis ticks | Boolean value Yes/No | No
-[no]sequence | Display the sequence on the graph | Boolean value Yes/No | Yes
-window | Sequence display window size | Any integer value | 40
-bases | Base graphs to be displayed | Any string is accepted, matching regular expression /[GATC]+/ | GATC
Advanced (Unprompted) qualifiers | Allowed values | Default
-separate | Separate the trace graphs for the 4 bases | Boolean value Yes/No | No

## Input file format

This reads in a standard ABI trace file.

### Input files for usage example

### File: abiview.abi

This file contains non-printing characters and so cannot be displayed here.

### File: abiview.abi

This file contains non-printing characters and so cannot be displayed here.

## Output file format

It outputs a file holding a normal nucleotide sequence.

### Output files for usage example

### File: abiview.fasta

    >../../data/abiview.abi
    GNNNNNNNNNGNGNNGGGGTTTNANNNTNNNAGAACCCCCCTTNGAAAANNNCCACCCCA
    NNATAGTNGTANGAATAGTNCCCAGGCCANGCCTATCTGTGATGATTACATAGGCTAACA
    CATGACAAACATTTAAAAACACTAAACAATTGTTATTTATTCTTTGTTCCTATAAACCAC
    ACCCATTAAGCCCTTACTATATATAAGAGTTTTCAAGCCAAGAACCTGCTGCTTGGGAGG
    CTGATGCAGGAGAATTGCCAAGTACAAACCCTGCCTGGACTGTAAAGTGAAACCAAGGCT
    AGTTGTCTCACAATAAAAGATGAAGGGCAAGTGGGATCAATGCATAAAGGAGCTTGTGCC
    CAAGCCTGTTAGCCTTAGTTCAATTCCTGAGTACCATGAAAAGGTAGAAGGAGAGAAATG
    ATTTGGTACAATTTTTCTCTGTGCTGTGACACAGTACCACCCTCCTACTAATAACAAATA
    AAATAATGTTTAAAACAAAATAAAATAAAAATGGACTGGGATGTAGCACAATGGTAGGGT
    ACTTGCATAGCATGTACAAGGACCTGATTTCAATCCCCTGTGATAAAAGAAAATAAGGAA
    GGGAGGAAGCGTTAGGAGGAAAAATGGAATACAGAAGACACAGTGCATGGGAAGGATATG
    TATGTTATGAACACCAGAAATTCACTTGAAAATGAGTAAAATTTTTTTATTATTATATCA
    TTATTATTGGGGGGGATGTGGGCGGGGCTTGCAGAGGTATCTTTTAGAGGANGATCATTT
    TCCGGTTGTTGAGCAGGGCTCTGTTATGTAGGATATCTCAGANTAACAGACCCCAGGT

### Graphics File: abiview.ps

The horizontal scale of the output image labelled 'Residue Position' is only a very approximate indication of the spacing of residues in the image. The real residue spacing is variable, as it relies on the speed with which the oligo-nucleotides are eluted in the ABI sequencer. Do not be surprised to see the nucleotide signals spaced at a much greater distance than the horizontal scale might suggest.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
cirdna | Draws circular maps of DNA constructs
lindna | Draws linear maps of DNA constructs
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices
prettyplot | Displays aligned sequences, with colouring and boxing
prettyseq | Output sequence with translated ranges
remap | Display sequence with restriction sites, translation etc
seealso | Finds programs sharing group names
showalign | Displays a multiple sequence alignment
showdb | Displays information on the currently available databases
showfeat | Show features of a sequence
showseq | Display a sequence with features, translation etc
sixpack | Display a DNA sequence with 6-frame translation and ORFs
textsearch | Search sequence documentation. Slow, use SRS and Entrez!

## Author(s)

Tim Carver (tcarver © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Written (January 2001) - Tim Carver

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None